import 'package:flutter/material.dart';
import 'package:sendtrain/classes/activity_action.dart';
import 'package:sendtrain/models/activity_model.dart';

class ActivityCard extends StatelessWidget {
  ActivityCard({super.key});

  final data = ActivityModel(
      id: 1,
      categories: ['power'],
      description: 'description',
      title: 'activity',
      type: 'fundamentals',
      actions: List.generate(
          10,
          (i) => ActivityAction(
                  id: 1,
                  title: 'test action',
                  description:'test description',
                  activityActionSet: Set(
                    type: 'drop_set',
                    total: 3,
                    rest: 3000,
                    reps: Reps(
                      type: 'count',
                      tempo: [2,3,5],
                      amounts: [5,3,2],
                      weights: [50,70,80],
                      rest: 200
                    )
                  )
                ),));

  @override
  Widget build(BuildContext context) {
    return Card(
        clipBehavior: Clip.hardEdge,
        child: Align(
          alignment: Alignment.center,
          child: Text(
            data.title,
            style: const TextStyle(fontSize: 20, fontWeight: FontWeight.bold),
          ),
        ));
  }
}
